Fedora 22 – Quick & Easy Install of Spotify

Fedora 22 – Quick & Easy Install of Spotify

spotify-linux

A number of you have emailed me saying that you cannot get Spotify running on your Fedora Workstation 22 installation, so I decided to create a quick post and video on how I get it running on my favorite operating system.

 

Here’s the video, I have also written up all of the commands used and any other information to help you install Spotify. This was installed on a fresh Fedora 22 installation with RPM Fusion enabled on the system.

 

 

As you can see by the video, it’s quick and easy and just works.

Prerequisites.

Please make sure your system is up to date and that the RPMFusion Repos have been enabled on your system, if you do not know how to do this then please see this post.

 

Adding the Spotify repository.

Thanks to Slanesh he has created a Spotify repository so we can easily install the package.

Open up a terminal and su into root. Then type the following

Then go for the installation by doing the following (still as root)

Ok, now what?

Now all you need to do is go to your dash and start typing Spotify and it should be there, click – run and enjoy.

Hope this helps some of you that have been emailing me.

Security Researcher and Penetration Tester
CHECK Team Member

33 thoughts on “Fedora 22 – Quick & Easy Install of Spotify

  1. Great guide. Thank you. Question- my Spotify runs full screen on startup. Any way to get it to fit into a normal window? It keeps popping itself back up too after alt-tabbing out of it.

      1. 1366×768 resolution is my guess. A shameful resolution but otherwise that laptop is great so I keep it around. I suppose I wouldn’t worry about it unless you want it to be available on that size. Moreover, Fedora itself doesn’t always behave nicely with that resolution in regards to dialog boxes, etc.

        1. I have the same problem on my 24″ screen but not on my laptop so that can’t be the issue. Were you able to fix it in the meantime, SC?

          1. Yep, this is a bug that may eventually get fixed, but probably not.

            The fix is to delete ~/.config/spotify/window_position.prefs

            Here’s a little script to make it easier for you:

            #!/bin/bash
            pkill spotify
            rm ~/.config/spotify/window_position.prefs > /dev/null 2>&1

            while true
            do
            pgrep spotify > /dev/null
            if [ $? -eq 1 ]
            then
            break
            else
            sleep 1
            fi
            done

            nohup spotify > /dev/null 2>&1 &

  2. I got this?
    Error: nothing provides ffmpeg-libs needed by spotify-client-1.0.11.131.gf4d47cb0-1.fc22.x86_64

    (try to add ‘–allowerasing’ to command line to replace conflicting packages)

  3. Pingback: Pitanga Cyber
  4. Can’t log in on Fedora24 🙁 Credentials are correct, what could be the problem? Error-Code 412 – Username or password is incorrect (it is correct for sure)

  5. Is this still supposed to be working on Fedora 25? I followed the guide and Spotify installs. However, when I open the app and enter my credentials and click login, it crashes.

  6. yep, doesn’t work in FEDORA 25: error messages after starting up:

    spotify: /usr/lib/spotify-client/libssl.so.1.0.0: no version information available (required by spotify)
    spotify: /usr/lib/spotify-client/libcrypto.so.1.0.0: no version information available (required by spotify)
    spotify: /lib/libcurl.so.4: no version information available (required by spotify)
    Gtk-Message: Failed to load module “canberra-gtk-module”
    /usr/lib/spotify-client/spotify: /usr/lib/spotify-client/libssl.so.1.0.0: no version information available (required by /usr/lib/spotify-client/spotify)
    /usr/lib/spotify-client/spotify: /usr/lib/spotify-client/libcrypto.so.1.0.0: no version information available (required by /usr/lib/spotify-client/spotify)
    /usr/lib/spotify-client/spotify: /lib/libcurl.so.4: no version information available (required by /usr/lib/spotify-client/spotify)
    [0225/133800:ERROR:main_delegate.cc(752)] Could not load cef_extensions.pak

    Seems there is a lot missing to get it running.

Leave a Reply

%d bloggers like this: